series: trusty
services: 
  mariadb: 
    charm: "cs:trusty/mariadb-3"
    num_units: 1
    annotations: 
      "gui-x": "1000"
      "gui-y": "700"
    to: 
      - "0"
  wordpress: 
    charm: "cs:trusty/wordpress-4"
    num_units: 1
    annotations: 
      "gui-x": "900"
      "gui-y": "200"

  redis: 
    charm: "cs:trusty/redis-0"
    num_units: 1
    annotations: 
      "gui-x": "1200"
      "gui-y": "200"

  memcached: 
    charm: "cs:trusty/memcached-13"
    num_units: 1
    annotations: 
      "gui-x": "500"
      "gui-y": "400"

  haproxy: 
    charm: "cs:trusty/haproxy-19"
    num_units: 1
    expose: true
    annotations: 
      "gui-x": "900"
      "gui-y": "-200"

  "mariadb-a": 
    charm: "cs:trusty/mariadb-3"
    num_units: 1
    annotations: 
      "gui-x": "1300"
      "gui-y": "800"

  varnish: 
    charm: "cs:trusty/varnish-2"
    num_units: 1
    annotations: 
      "gui-x": "1200"
      "gui-y": "-200"

relations: 
  - - "wordpress:db"
    - "mariadb:db"
  - - "wordpress:cache"
    - "memcached:cache"
  - - "haproxy:reverseproxy"
    - "wordpress:website"
  - - "varnish:reverseproxy"
    - "wordpress:website"
  - - "mariadb-a:slave"
    - "mariadb:master"

